Glibc 2.2

richard at reika.demon.co.uk richard at reika.demon.co.uk
Tue Nov 14 06:35:49 PST 2000


I was going to e-mail you from a glibc-2.2/gcc-2.97 install. It can boot,
run qmail and mutt, but will not compile a working kernel. The old kernel
I used depended on modules for serial, ppp and thus my connection to the
internet. So I have had to resort to my glibc-2.1.3 OS to send this.

Here is a list of things that did not work with glibc-2.2:

linux kernel 2.2.17 with reiserfs and patch-int,
lilo, gpm, guile, iproute2, apache, lynx, coda,
alsa-lib (and so alsa-utils fails),
and X (so I did not try about 50 things that depend on it)

I tried about 100 packages in addition to the ones in the book, so
I think this is a fairly encouraging result, but not good enough for me
to work inside it to correct the remaining faults.

My next attempt will be with gcc-2.95.2 with corrections to its
C++ library. With any luck, that will compile working kernels
and will be usable while we iron out the last few faults.

Richard

-- 
Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the lfs-dev mailing list